package com.miaxis.carousel.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 首页数据表 home_page_data_info
 *
 * @author miaxis
 * @date 2021-03-11
 */
@Data
@TableName("home_page_data_info")
@ApiModel(value = "HomePageDataInfo", description = "首页数据表 home_page_data_info")
public class HomePageDataInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 图片名称 */
    @Excel(name = "图片名称")
    @TableField("picture_name")
    @ApiModelProperty(value = "图片名称")
    private String pictureName;

    /** 图片id--对应file_info的id */
    @Excel(name = "图片id--对应file_info的id")
    @TableField("file_id")
    @ApiModelProperty(value = "图片id--对应file_info的id")
    private Long fileId;

    @TableField("jump_url")
    @ApiModelProperty(value = "跳转url")
    private String jumpUrl;

    @TableField("jump_url_type")
    @ApiModelProperty(value = "跳转url类型  goMiniApp:小程序 、goPage：小程序页面、goWebView: h5")
    private String jumpUrlType;

    @ApiModelProperty(value = "权重（数值从大到小）")
    private Integer weight;

    @TableField("data_type")
    @ApiModelProperty(value = "类型：carouselChart：轮播图、coupon：优惠劵、menu：首页菜单")
    private String dataType;

    @TableField("data_describe")
    @ApiModelProperty(value = "内容描述")
    private String dataDescribe;

    /** 状态  0：有效(默认)、1：失效 （伪删除） */
    @Excel(name = "状态  0：有效(默认)、1：失效 （伪删除）", readConverterExp = "伪=删除")
    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private String status;

}
