package com.miaxis.carousel.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.carousel.domain.HomePageDataInfo;
import com.miaxis.carousel.vo.HomePageDataInfoVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 首页数据Mapper接口
 *
 * @author miaxis
 * @date 2021-03-11
 */
public interface HomePageDataInfoMapper extends BaseMapper<HomePageDataInfo> {
    /**
     * 查询首页数据列表
     *
     * @param homePageDataInfo 首页数据
     * @return 首页数据集合
     */
    List<HomePageDataInfoVo> selectHomePageDataInfoList(HomePageDataInfo homePageDataInfo);

    /**
     * 获取首页数据详细信息
     * @param id
     * @return
     */
    HomePageDataInfoVo getHomePageDataById(@Param("id") Long id);

    int updateHomePageDataByPictureName(HomePageDataInfoVo homePageDataInfoVo);
}
