package com.miaxis.carousel.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 首页数据表对象返回参
 *
 * @author miaxis
 * @date 2021-03-11
 */
@Data
@ApiModel(value = "HomePageDataInfoVo", description = "首页数据表对象返回参")
public class HomePageDataInfoVo {

    @ApiModelProperty(value = "主键")
    private Long id;

    /** 图片名称 */
    @ApiModelProperty(value = "图片名称")
    private String pictureName;

    @ApiModelProperty(value = "图片id")
    private String fileId;

    /** 图片id--对应file_info的id */
    @ApiModelProperty(value = "图片访问地址")
    private String fileUrl;

    @ApiModelProperty(value = "跳转url")
    private String jumpUrl;

    @ApiModelProperty(value = "跳转url类型  goMiniApp:小程序 、goPage：小程序页面 、goWebView: h5")
    private String jumpUrlType;

    @ApiModelProperty(value = "权重（数值从大到小）")
    private Integer weight;

    @ApiModelProperty(value = "类型：carouselChart：轮播图、coupon：优惠劵、menu：首页菜单")
    private String dataType;

    @ApiModelProperty(value = "内容描述")
    private String dataDescribe;

    /** 状态  0：有效(默认)、1：失效 （伪删除） */
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private String status;


}
