package com.miaxis.dict.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.dict.mapper.DictCityMapper;
import com.miaxis.dict.domain.DictCity;
import com.miaxis.dict.service.IDictCityService;

/**
 * 全国城市Service业务层处理
 *
 * @author miaxis
 * @date 2021-03-18
 */
@Service
public class DictCityServiceImpl extends ServiceImpl<DictCityMapper, DictCity> implements IDictCityService {
    @Autowired
    private DictCityMapper dictCityMapper;

    /**
     * 查询全国城市列表
     *
     * @param dictCity 全国城市
     * @return 全国城市
     */
    @Override
    public List<DictCity> selectDictCityList(DictCity dictCity){
        return dictCityMapper.selectDictCityList(dictCity);
    }
}
