package com.miaxis.newgzpt.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 学员基本信息表
 * </p>
 *
 * @author ${author}
 * @since 2021-03-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("GZPT_USER_INFO")
@ApiModel(value="GzptUserInfo对象", description="学员基本信息表")
public class GzptUserInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private Integer id;

    @ApiModelProperty(value = "姓名")
    @TableField("USER_NAME")
    private String userName;

    @ApiModelProperty(value = "性别 男 或 女")
    @TableField("SEX")
    private String sex;

    @ApiModelProperty(value = "登录账号")
    @TableField("LOGINCODE")
    private String logincode;

    @ApiModelProperty(value = "绑定手机号")
    @TableField("TELPHONE")
    private String telphone;

    @ApiModelProperty(value = "申请车型")
    @TableField("CARTYPE")
    private String cartype;

    @ApiModelProperty(value = "出生日期")
    @TableField("BIRTHDAY")
    private String birthday;

    @ApiModelProperty(value = "电子邮箱")
    @TableField("EMAIL")
    private String email;

    @ApiModelProperty(value = "登录密码 MD5加密")
    @TableField("PASSWORD")
    private String password;

    @ApiModelProperty(value = "联系地址")
    @TableField("ADDRESS")
    private String address;

    @ApiModelProperty(value = "照片 全路径为学员照片或QQ或微信读取全路径")
    @TableField("PHOTO")
    private String photo;

    @ApiModelProperty(value = "用户昵称")
    @TableField("NICKNAME")
    private String nickname;

    @ApiModelProperty(value = "归属驾校")
    @TableField("SCHOOL")
    private String school;

    @ApiModelProperty(value = "归属驾校名称")
    @TableField("SCHOOL_NAME")
    private String schoolName;

    @ApiModelProperty(value = "归属地区")
    @TableField("CITY")
    private String city;

    @ApiModelProperty(value = "归属地区名称")
    @TableField("CITY_NAME")
    private String cityName;

    @ApiModelProperty(value = "归属区县")
    @TableField("COUNTRY")
    private String country;

    @ApiModelProperty(value = "归属区县名称")
    @TableField("COUNTRY_NAME")
    private String countryName;

    @ApiModelProperty(value = "用户状态 0 未激活 1 正常  2 锁定 4 注销")
    @TableField("STATUS")
    private String status;

    @ApiModelProperty(value = "外部系统主健ID 如果platForm=1")
    @TableField("OUT_ID")
    private Long outId;

    @ApiModelProperty(value = "系统版本号 软件版本号")
    @TableField("VERSION")
    private String version;

    @ApiModelProperty(value = "版本类型 1 安卓 2 IOS")
    @TableField("APPTYPE")
    private String apptype;

    @ApiModelProperty(value = "手机操作系统版本")
    @TableField("SYSTEM_VERSION")
    private String systemVersion;

    @ApiModelProperty(value = "注册时间")
    @TableField("CRDATE")
    private Date crdate;

    @ApiModelProperty(value = "培训阶段 1、第一阶段 2、第二阶段 3、第三阶段 4、第四阶段")
    @TableField("PXJD")
    private Integer pxjd;

    @ApiModelProperty(value = "MD5加密的支付密码")
    @TableField("PAY_PWD")
    private String payPwd;

    @TableField("SYNC")
    private String sync;

    @ApiModelProperty(value = "模拟训练激活状态 0 未激活 1 已激活")
    @TableField("MN_STATUS")
    private Integer mnStatus;

    @ApiModelProperty(value = "远程教育激活状态 0 未激活 1 已激活")
    @TableField("EDU_STATUS")
    private Integer eduStatus;

    @ApiModelProperty(value = "小程序openin")
    @TableField("OPEN_ID")
    private String openId;

    @ApiModelProperty(value = "小程序session_key")
    @TableField("SESSION_KEY")
    private String sessionKey;


}
