package com.miaxis.product.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.common.core.domain.Response;
import com.miaxis.product.domain.ProductTypeInfo;
import com.miaxis.product.vo.AppletProductTypeInfoVo;
import com.miaxis.product.vo.ProductTypeInfoVo;

import java.util.List;

/**
 * 品类Service接口
 *
 * @author miaxis
 * @date 2021-03-11
 */
public interface IProductTypeInfoService extends IService<ProductTypeInfo>{
    /**
     * 查询品类列表
     *
     * @param productTypeInfo 品类
     * @return 品类集合
     */
    List<ProductTypeInfoVo> selectProductTypeInfoList(ProductTypeInfo productTypeInfo);

    /**
     * 删除品类
     * @param ids
     * @return
     */
    Response<Integer> removeProductByIds(Long[] ids);

    /**
     * 获取品类详情信息
     * @param id
     * @return
     */
    Response<ProductTypeInfoVo> getProductDetailsById(Long id);

    /**
     * 新增品类
     * @param productTypeInfo
     * @return
     */
    Response saveProductTypeInfo(ProductTypeInfo productTypeInfo);

    /**
     * applet
     * 分类列表
     * @return
     */
    List<AppletProductTypeInfoVo> selectAppletProductTypeInfoList();
}
