package com.miaxis.question.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.question.domain.QuestionCollection;
import com.miaxis.question.domain.QuestionError;
import com.miaxis.question.dto.QuestionCollectionDto;
import com.miaxis.question.dto.QuestionErrorDto;

/**
 * 题目收藏Mapper接口
 *
 * @author miaxis
 * @date 2021-03-18
 */
public interface QuestionCollectionMapper extends BaseMapper<QuestionCollection> {
    /**
     * 查询题目收藏列表
     *
     * @param questionCollection 题目收藏
     * @return 题目收藏集合
     */
    public List<QuestionCollection> selectQuestionCollectionList(QuestionCollection questionCollection);

    List<QuestionError> getQuestionCollectionList(QuestionCollectionDto questionCollectionDto);
}
