package com.miaxis.question.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 题库对象 question_info
 *
 * @author miaxis
 * @date 2021-03-12
 */
@Data
@ApiModel(value = "QuestionInfoVo", description = "题库对象出参")
public class QuestionInfoVo extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId("id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /**
     * 类型
     */
    @Excel(name = "类型 1:选择题 2:单选题 3:多选题")
    @TableField("type")
    @ApiModelProperty(value = "类型 1:选择题 2:单选题 3:多选题")
    private Long type;


    /**
     * 许可车型
     */
    @Excel(name = "许可车型")
    @TableField("license_type")
    @ApiModelProperty(value = "许可车型")
    private String licenseType;

    /**
     * 问题
     */
    @Excel(name = "问题")
    @TableField("question")
    @ApiModelProperty(value = "问题")
    private String question;

    /**
     * 答案1
     */
    @Excel(name = "答案1")
    @TableField("an1")
    @ApiModelProperty(value = "答案1")
    private String an1;

    /**
     * 答案2
     */
    @Excel(name = "答案2")
    @TableField("an2")
    @ApiModelProperty(value = "答案2")
    private String an2;

    /**
     * 答案3
     */
    @Excel(name = "答案3")
    @TableField("an3")
    @ApiModelProperty(value = "答案3")
    private String an3;

    /**
     * 答案4
     */
    @Excel(name = "答案4")
    @TableField("an4")
    @ApiModelProperty(value = "答案4")
    private String an4;

    /**
     * 答案5
     */
    @Excel(name = "答案5")
    @TableField("an5")
    @ApiModelProperty(value = "答案5")
    private String an5;

    /**
     * 答案6
     */
    @Excel(name = "答案6")
    @TableField("an6")
    @ApiModelProperty(value = "答案6")
    private String an6;

    /**
     * 答案7
     */
    @Excel(name = "答案7")
    @TableField("an7")
    @ApiModelProperty(value = "答案7")
    private String an7;

    /**
     * 正确答案
     */
    @Excel(name = "正确答案")
    @TableField("answer_true")
    @ApiModelProperty(value = "正确答案")
    private String answerTrue;

    /**
     * 解释
     */
    @Excel(name = "解释")
    @TableField("explain1")
    @ApiModelProperty(value = "解释")
    private String explain1;

    /**
     * 最佳答案
     */
    @Excel(name = "最佳答案")
    @TableField("best_answer_id")
    @ApiModelProperty(value = "最佳答案")
    private String bestAnswerId;

    /**
     * 科目
     */
    @Excel(name = "科目")
    @TableField("kemu")
    @ApiModelProperty(value = "科目")
    private Long kemu;

    /**
     * 更多类型
     */
    @Excel(name = "更多类型")
    @TableField("moretypes")
    @ApiModelProperty(value = "更多类型")
    private String moretypes;


    /**
     * 图片文件名
     */
    @Excel(name = "图片文件名")
    @TableField("sinaimg")
    @ApiModelProperty(value = "图片文件名")
    private String sinaimg;

    /**
     * 视频文件名
     */
    @Excel(name = "视频文件名")
    @TableField("video_url")
    @ApiModelProperty(value = "视频文件名")
    private String videoUrl;


    /**
     * 城市
     */
    @Excel(name = "城市")
    @TableField("cityid")
    @ApiModelProperty(value = "城市")
    private Long cityid;



    /**
     * 文件地址
     */
    @Excel(name = "文件地址")
    @TableField("media_url")
    @ApiModelProperty(value = "文件地址")
    private String mediaUrl;

    /**
     * 是否显示
     */
    @Excel(name = "是否显示")
    @TableField("show_option_type")
    @ApiModelProperty(value = "是否显示")
    private Long showOptionType;

}

