package com.miaxis.topic.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 专题对象 topic_info
 *
 * @author miaxis
 * @date 2021-03-11
 */
@Data
@TableName("topic_info")
@ApiModel(value = "TopicInfo", description = "专题对象 topic_info")
public class TopicInfo extends BaseBusinessEntity{

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 专题名称 */
    @TableField("topic_name")
    @ApiModelProperty(value = "专题名称")
    private String topicName;

    /** 专题插图--对应file_info的id */
    @TableField("topic_illustration")
    @ApiModelProperty(value = "专题插图--对应file_info的id")
    private Long topicIllustration;

    /** 是否允许分享   0：是 、1：否 */
    @TableField("sharing_status")
    @ApiModelProperty(value = "是否允许分享   0：是 、1：否")
    private Integer sharingStatus;

    /** 是否显示分享数量    0：是 、1：否 */
    @TableField("sharing_number_status")
    @ApiModelProperty(value = "是否显示分享数量    0：是 、1：否")
    private Integer sharingNumberStatus;

    /** 是否允许评论   0：是 、1：否 */
    @TableField("comment_status")
    @ApiModelProperty(value = "是否允许评论   0：是 、1：否")
    private Integer commentStatus;

    /** 是否显示评论数量    0：是 、1：否 */
    @TableField("comment_number_status")
    @ApiModelProperty(value = "是否显示评论数量    0：是 、1：否")
    private Integer commentNumberStatus;

    /** 是否显示收藏数量   0：是 、1：否 */
    @TableField("collection_number_status")
    @ApiModelProperty(value = "是否显示收藏数量   0：是 、1：否")
    private Integer collectionNumberStatus;

    /** 专题内容 */
    @TableField("topic_content")
    @ApiModelProperty(value = "专题内容")
    private String topicContent;

    /** 上架状态  0：已上架、1：未上架 */
    @TableField("shelf_status")
    @ApiModelProperty(value = "上架状态  0：已上架、1：未上架")
    private Integer shelfStatus;

    /** 状态  0：有效(默认)、1：失效 （伪删除） */
    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private Integer status;


}
