package com.miaxis.topic.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.topic.domain.TopicInfo;
import com.miaxis.topic.vo.TopicInfoVo;
import org.apache.ibatis.annotations.Param;

/**
 * 专题Mapper接口
 *
 * @author miaxis
 * @date 2021-03-11
 */
public interface TopicInfoMapper extends BaseMapper<TopicInfo> {
    /**
     * 查询专题列表
     *
     * @param topicInfo 专题
     * @return 专题集合
     */
    List<TopicInfoVo> selectTopicInfoList(TopicInfoVo topicInfo);

    /**
     * 获取专题详情信息
     * @param id
     * @return
     */
    TopicInfoVo getTopicDetailsById(@Param("id") Long id);
}
