package com.miaxis.user.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 用户照片对象 user_images
 *
 * @author miaxis
 * @date 2020-12-25
 */
@Data
@TableName("user_images")
@ApiModel(value = "UserImages", description = "用户照片对象 user_images")
public class UserImages extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** 照片id */
    @TableId(value = "id")
    @ApiModelProperty(value = "照片id")
    private Long id;

    /** 用户表id */
    @Excel(name = "用户表id")
    @TableField("user_id")
    @ApiModelProperty(value = "用户表id")
    private Long userId;

    /** 照片url(访问地址) */
    @Excel(name = "照片url(访问地址)")
    @TableField("file_url")
    @ApiModelProperty(value = "照片url(访问地址)")
    private String fileUrl;

    /** 文件路径 */
    @Excel(name = "文件路径")
    @TableField("file_path")
    @ApiModelProperty(value = "文件路径")
    private String filePath;

    /** 1:身份证正面 2:身份证反面 3:人脸比对模板(采集人像图) */
    @Excel(name = "1:身份证正面 2:身份证反面 3:人脸比对模板(采集人像图)")
    @TableField("image_type")
    @ApiModelProperty(value = "1:身份证正面 2:身份证反面 3:人脸比对模板(采集人像图)")
    private Long imageType;


}
